* {
    margin: 0;
    padding: 0;
}

html,
body {
    font-size: 14px;
    height: 100%;
}


/* 头部 */

.header {
    height: 56px;
    line-height: 56px;
    text-align: center;
    color: #fff;
    font-size: 18px;
    font-weight: bold;
    background-color: #3b3a3f;
}


/* 中间部分 */

.main {
    background-color: #f5f5f5;
    background-image: url(../img//bac.jpeg);
    background-size: cover;
    overflow-y: scroll;
    padding: 20px;
    box-sizing: border-box;
    height: calc(100% - 108px);
    max-height: calc(100% - 108px);
}

.chat-container {
    padding-bottom: 20px;
}


/* 清除浮动 */

.chat-container::after {
    content: "";
    display: block;
    clear: both;
}

.chat-container>img {
    width: 40px;
    border-radius: 50%;
}

.robot-container>* {
    float: left;
}

.avatar-container>* {
    float: right;
}

.text-container {
    max-width: 251px;
    padding: 8px;
    box-sizing: border-box;
    background-color: #fff;
    border: 1px solid #d8d8d8;
    color: #333;
    border-radius: 6px;
    margin-left: 10px;
}

.avatar-container .text-container {
    margin-right: 10px;
    background-color: #98e855;
    position: relative;
}

.robot-container .text-container {
    /* margin-right: 10px; */
    background-color: #5dcccf;
    position: relative;
}

.robot-container .text-container::before {
    position: absolute;
    content: "";
    width: 0;
    padding: 0;
    top: 14px;
    border: 6px solid transparent;
    border-right-color: #5dcccf;
    left: -12px;
    margin-top: -6px;
}

.avatar-container .text-container::after {
    position: absolute;
    content: "";
    width: 0;
    padding: 0;
    top: 14px;
    border: 6px solid transparent;
    border-left-color: #98e855;
    right: -12px;
    margin-top: -6px;
}


/* 底部 */

.footer {
    position: absolute;
    width: 100%;
    left: 0;
    bottom: 0;
    height: 52px;
    line-height: 52px;
    background-color: #ebebeb;
    box-sizing: border-box;
    box-shadow: 0 -2px 5px #d8d8d8;
    text-align: center;
}

.footer input {
    width: 270px;
    height: 36px;
    line-height: 36px;
    margin: 0;
    padding: 5px 10px;
    border: 1px solid #d8d8d8;
    color: #333;
    box-sizing: border-box;
    background-color: #fff;
    border-radius: 18px;
    outline: none;
    text-indent: 10px;
    font-size: 16px;
}

.footer .btn {
    width: 54px;
    height: 34px;
    line-height: 34px;
    text-align: center;
    color: #fff;
    background-color: #02cb0b;
    display: inline-block;
    border-radius: 2px;
}

.footer .input-null {
    position: absolute;
    top: -30px;
    right: 30px;
    width: 120px;
    height: 25px;
    line-height: 25px;
    background-color: #fff;
    padding: 2px 10px;
    text-align: center;
    border-radius: 6px;
    display: none;
}

.footer .input-null::after {
    position: absolute;
    top: 27px;
    left: 100px;
    content: "";
    width: 0;
    height: 0;
    border: 12px solid transparent;
    border-top-color: #fff;
}